Disk ARchive: line_param Struct Reference

| Disk ARchive 2.8.3 Full featured and portable backup and archiving tool

Loading...
Searching...
No Matches
Public Attributes | List of all members
line_param Struct Reference
CMDLINE

all parameters retreived from command-line More...

`#include <command_line.hpp>`

## Public Attributes
operation | op
| which operation to perform
path * | fs_root
| filesystem root
path * | sauv_root
| where is the archive to operate on (create, read, etc.)
string | filename
| basename of the archive to operate on
path * | ref_root
| where is the archive of reference
string * | ref_filename
| basename of the archive of reference (nullptr => no archive of reference)
infinint | file_size
| size of the slices to create (except the first)
infinint | first_file_size
| sice of the first slice to create
mask * | selection
| filter files for the operation based on filename only
mask * | subtree
| filter files for the operation based on path+filename
bool | allow_over
| whether to allow slice overwriting
bool | warn_over
| whether to warn before overwriting files or slices
bool | info_details
| whether to show processing messages
bool | display_treated
| whether to show treated files
bool | display_treated_only_dir
| whether to show treated files's current working directory
bool | display_skipped
| whether to display skipped files
bool | display_finished
| whether to display summary (space/compression ratio) for each completed directory
bool | display_masks
| whether to display masks value
compression | algo
| compression algorithm to use when generating an archive
U_I | compression_level
| compression level to use when generating an archive
U_I | compression_block_size
| compression block size (0 for legacy compression method)
infinint | pause
| whether to pause between slices
bool | beep
| whether to ring the terminal upon user interaction request
bool | empty_dir
| whether to store skipped directories as empty, whether to avoid restoring directory where no data is to be restored
mask * | ea_mask
| which EA to work on
string | input_pipe
| if not an empty string, name of the pipe through which to read data from dar_slave
string | output_pipe
| if not an empty string, name of the pipe through which to write orders to dar_slave
comparison_fields | what_to_check
| what fields to take into account when comparing/restoring files,
string | execute
| if not an empty string, the command to execute between slices
string | execute_ref
| if not an empty string, the command to execute between slices of the archive of reference
secu_string | pass
| if not an empty string, encrypt the archive with the given algo:pass string
vector< string > | signatories
| list of email's key to use to sign the archive
bool | blind_signatures
| whether to ignore signature check failures
secu_string | pass_ref
| if not an empty string, use the provided encryption scheme to read the archive of reference
mask * | compress_mask
| which file to compress
bool | flat
| whether to ignore directory structure when restoring data
infinint | min_compr_size
| below which size to never try compressing files
bool | nodump
| whether to ignore files having the "nodump" flag set when performing a backup
bool | exclude_by_ea
| whether inode have to be check against a given EA before backup
string | ea_name_for_exclusion
| EA name to use for file exclusion, or empty string for the default EA name.
infinint | hourshift
| consider equal two dates that have an integer hour of difference equal or less than hourshift
bool | warn_remove_no_match
| whether to warn file about to be removed during a restoration, when they to no match the expected type of file
bool | filter_unsaved
| whether to not list files that are not saved in the archive
bool | empty
| whether to do a dry-run execution
bool | alter_atime
| whether to reset the atime of file read during backup to their original value (resetting atime does modify ctime)
bool | same_fs
| whether to stick to a same filesystem
deque< string > | same_fs_incl
| optional list of path to filesystems to stick to (for backup operation)
deque< string > | same_fs_excl
| optional list of path to filesystems to not consider (for backup operation)
bool | snapshot
| whether to perform a snapshot backup
bool | cache_directory_tagging
| whether to ignore directory contents where a the cache directory tagging files is found
U_32 | crypto_size
| block size by which to cypher data
U_32 | crypto_size_ref
| block size by which to uncypher data from the archive of reference
archive_options_listing_shell::listformat | list_mode
| type of listing to follow
path * | aux_root
| where is the auxiliary archive of reference [used for merging but also when creating an archive, for the on-fly isolation]
string * | aux_filename
| basename of the auxiliary archive if reference (nullptr => no auxiliary of reference)
secu_string | aux_pass
| crypto to use for the auxiliary archive
string | aux_execute
| command to be run between the slice of the auxiliary archive of reference
U_32 | aux_crypto_size
| block size by which to cypher/uncypher data to/from the auxiliary archive of reference
bool | keep_compressed
| when merging, whether to not uncompress/re-compress data in the process
infinint | fixed_date
| the data for the snapshot backup
bool | quiet
| whether to display final summary for the operation
bool | quiet_crypto
| do not display message about impossibility do detect wrong key when reading ciphered backup
const crit_action * | overwrite
| the overwriting policy
string | slice_perm
| permission to set when creating a slice
string | slice_user
| user to set when creating a slice
string | slice_group
| group to set when creating a slice
infinint | repeat_count
| number of time to try saving a file if it changes at the time it is read for backup
infinint | repeat_byte
| archive total maximum amount of byte to waste re-saving changing files
bool | decremental
| whether to produce a decremental backup (when merging)
bool | furtive_read_mode
| whether to use the furtive read mode
bool | lax
| whether to activate the last chance recovery mode (use with caution!)
bool | use_sequential_marks
| whether to add escape sequential marks in the archive
bool | sequential_read
| whether to follow escape sequential marks to achieve a sequential reading of the archive
infinint | sparse_file_min_size
| minimum size of a zeroed byte sequence to be considered as a hole and stored this way in the archive
dirty_behavior | dirty
| what to do when comes the time to restore a file that is flagged as dirty
bool | security_check
| whether to signal possible root-kit presence
string | user_comment
| user comment to add to the archive
hash_algo | hash
| whether to produce a hash file, and which algoritm to use for that hash
infinint | num_digits
| minimum number of decimal for the slice number
infinint | ref_num_digits
| minimum number of decimal for the slice number of the archive of reference
infinint | aux_num_digits
| minimum number of decimal for the slice number of the auxiliary archive of reference
bool | only_deleted
| whether to only consider deleted files
bool | not_deleted
| whether to ignore deleted files
mask * | backup_hook_mask
| which file have to considered for backup hook
string | backup_hook_execute
| which command to execute as backup hook
bool | list_ea
| whether to list Extended Attribute of files
bool | ignore_unknown_inode
| whether to ignore unknown inode types
bool | no_compare_symlink_date
| whether to report difference in dates of symlinks while diffing an archive with filesystem
fsa_scope | scope
| FSA scope to consider for the operation.
U_I | multi_threaded_crypto
| number of crypto worker threads (requires libthreadar)
U_I | multi_threaded_compress
| number of compress worker threads (requires libthreadar and per block compression)
bool | delta_sig
| whether to calculate rsync signature of files
mask * | delta_mask
| which file to calculate delta sig when not using the default mask
bool | delta_diff
| whether to save binary diff or whole file's data during a differential backup
infinint | delta_sig_min_size
| size below which to never calculate delta signatures
ent_params | remote
| remote entrepot coordinates
ent_params | ref_remote
| remote entrepot coordinates for archive of reference
ent_params | aux_remote
| remote entrepot coordinates for the auxiliary archive
bool | remote_verbose
| whether to have verbose output from libcurl
bool | sizes_in_bytes
| whether to display sizes in bytes of to the larges unit (Mo, Go, To,...)
bool | header_only
| whether we just display the header of archives to be read
bool | zeroing_neg_dates
| whether to automatically zeroing negative dates while reading inode from filesystem
string | ignored_as_symlink
| column separated list of absolute paths of links to follow rather to record as such
modified_data_detection | modet
| how to detect that a file has changed since the archive of reference was done
infinint | iteration_count
| iteration count used when creating/isolating/merging an encrypted archive (key derivation)
hash_algo | kdf_hash
| hash algo used for key derivation function
delta_sig_block_size | delta_sig_len
| block len to used for delta signature computation
bool | unix_sockets
| whether to restore unix-sockets
bool | in_place
| in-place restoration or comparison
bool | never_resave_uncompr
| never resave uncompressed when compression ratio is bad
bool | force_first_slice
| whether to read the first instead of the last slice when a isolated catalogue is given in complement
bool | fully_detailed_dates
| whether to show subsecond value of dates
bool | isolation_repair
| whether to try isolate content of a truncated archive
bool | extract_from_database
| whether to extract from a dar_manager database or from a dar archive

## Detailed Description

all parameters retreived from command-line

Definition at line 65 of file command_line.hpp.

## Constructor & Destructor Documentation

## ◆ line_param()

line_param::line_param | ( |  | ) |
| inline

Definition at line 183 of file command_line.hpp.

## ◆ ~line_param()

line_param::~line_param | ( |  | ) |
| inline

Definition at line 200 of file command_line.hpp.

## Member Data Documentation

## ◆ algo

compression line_param::algo

compression algorithm to use when generating an archive

Definition at line 85 of file command_line.hpp.

## ◆ allow_over

bool line_param::allow_over

whether to allow slice overwriting

Definition at line 77 of file command_line.hpp.

## ◆ alter_atime

bool line_param::alter_atime

whether to reset the atime of file read during backup to their original value (resetting atime does modify ctime)

Definition at line 111 of file command_line.hpp.

## ◆ aux_crypto_size

U_32 line_param::aux_crypto_size

block size by which to cypher/uncypher data to/from the auxiliary archive of reference

Definition at line 124 of file command_line.hpp.

## ◆ aux_execute

string line_param::aux_execute

command to be run between the slice of the auxiliary archive of reference

Definition at line 123 of file command_line.hpp.

## ◆ aux_filename

string* line_param::aux_filename

basename of the auxiliary archive if reference (nullptr => no auxiliary of reference)

Definition at line 121 of file command_line.hpp.

## ◆ aux_num_digits

infinint line_param::aux_num_digits

minimum number of decimal for the slice number of the auxiliary archive of reference

Definition at line 147 of file command_line.hpp.

## ◆ aux_pass

secu_string line_param::aux_pass

crypto to use for the auxiliary archive

Definition at line 122 of file command_line.hpp.

## ◆ aux_remote

ent_params line_param::aux_remote

remote entrepot coordinates for the auxiliary archive

Definition at line 164 of file command_line.hpp.

## ◆ aux_root

path* line_param::aux_root

where is the auxiliary archive of reference [used for merging but also when creating an archive, for the on-fly isolation]

Definition at line 120 of file command_line.hpp.

## ◆ backup_hook_execute

string line_param::backup_hook_execute

which command to execute as backup hook

Definition at line 151 of file command_line.hpp.

## ◆ backup_hook_mask

mask* line_param::backup_hook_mask

which file have to considered for backup hook

Definition at line 150 of file command_line.hpp.

## ◆ beep

bool line_param::beep

whether to ring the terminal upon user interaction request

Definition at line 89 of file command_line.hpp.

## ◆ blind_signatures

bool line_param::blind_signatures

whether to ignore signature check failures

Definition at line 99 of file command_line.hpp.

## ◆ cache_directory_tagging

bool line_param::cache_directory_tagging

whether to ignore directory contents where a the cache directory tagging files is found

Definition at line 116 of file command_line.hpp.

## ◆ compress_mask

mask* line_param::compress_mask

which file to compress

Definition at line 101 of file command_line.hpp.

## ◆ compression_block_size

U_I line_param::compression_block_size

compression block size (0 for legacy compression method)

Definition at line 87 of file command_line.hpp.

## ◆ compression_level

U_I line_param::compression_level

compression level to use when generating an archive

Definition at line 86 of file command_line.hpp.

## ◆ crypto_size

U_32 line_param::crypto_size

block size by which to cypher data

Definition at line 117 of file command_line.hpp.

## ◆ crypto_size_ref

U_32 line_param::crypto_size_ref

block size by which to uncypher data from the archive of reference

Definition at line 118 of file command_line.hpp.

## ◆ decremental

bool line_param::decremental

whether to produce a decremental backup (when merging)

Definition at line 135 of file command_line.hpp.

## ◆ delta_diff

bool line_param::delta_diff

whether to save binary diff or whole file's data during a differential backup

Definition at line 160 of file command_line.hpp.

## ◆ delta_mask

mask* line_param::delta_mask

which file to calculate delta sig when not using the default mask

Definition at line 159 of file command_line.hpp.

## ◆ delta_sig

bool line_param::delta_sig

whether to calculate rsync signature of files

Definition at line 158 of file command_line.hpp.

## ◆ delta_sig_len

delta_sig_block_size line_param::delta_sig_len

block len to used for delta signature computation

Definition at line 173 of file command_line.hpp.

## ◆ delta_sig_min_size

infinint line_param::delta_sig_min_size

size below which to never calculate delta signatures

Definition at line 161 of file command_line.hpp.

## ◆ dirty

dirty_behavior line_param::dirty

what to do when comes the time to restore a file that is flagged as dirty

Definition at line 141 of file command_line.hpp.

## ◆ display_finished

bool line_param::display_finished

whether to display summary (space/compression ratio) for each completed directory

Definition at line 83 of file command_line.hpp.

## ◆ display_masks

bool line_param::display_masks

whether to display masks value

Definition at line 84 of file command_line.hpp.

## ◆ display_skipped

bool line_param::display_skipped

whether to display skipped files

Definition at line 82 of file command_line.hpp.

## ◆ display_treated

bool line_param::display_treated

whether to show treated files

Definition at line 80 of file command_line.hpp.

## ◆ display_treated_only_dir

bool line_param::display_treated_only_dir

whether to show treated files's current working directory

Definition at line 81 of file command_line.hpp.

## ◆ ea_mask

mask* line_param::ea_mask

which EA to work on

Definition at line 91 of file command_line.hpp.

## ◆ ea_name_for_exclusion

string line_param::ea_name_for_exclusion

EA name to use for file exclusion, or empty string for the default EA name.

Definition at line 106 of file command_line.hpp.

## ◆ empty

bool line_param::empty

whether to do a dry-run execution

Definition at line 110 of file command_line.hpp.

## ◆ empty_dir

bool line_param::empty_dir

whether to store skipped directories as empty, whether to avoid restoring directory where no data is to be restored

Definition at line 90 of file command_line.hpp.

## ◆ exclude_by_ea

bool line_param::exclude_by_ea

whether inode have to be check against a given EA before backup

Definition at line 105 of file command_line.hpp.

## ◆ execute

string line_param::execute

if not an empty string, the command to execute between slices

Definition at line 95 of file command_line.hpp.

## ◆ execute_ref

string line_param::execute_ref

if not an empty string, the command to execute between slices of the archive of reference

Definition at line 96 of file command_line.hpp.

## ◆ extract_from_database

bool line_param::extract_from_database

whether to extract from a dar_manager database or from a dar archive

Definition at line 180 of file command_line.hpp.

## ◆ file_size

infinint line_param::file_size

size of the slices to create (except the first)

Definition at line 73 of file command_line.hpp.

## ◆ filename

string line_param::filename

basename of the archive to operate on

Definition at line 70 of file command_line.hpp.

## ◆ filter_unsaved

bool line_param::filter_unsaved

whether to not list files that are not saved in the archive

Definition at line 109 of file command_line.hpp.

## ◆ first_file_size

infinint line_param::first_file_size

sice of the first slice to create

Definition at line 74 of file command_line.hpp.

## ◆ fixed_date

infinint line_param::fixed_date

the data for the snapshot backup

Definition at line 126 of file command_line.hpp.

## ◆ flat

bool line_param::flat

whether to ignore directory structure when restoring data

Definition at line 102 of file command_line.hpp.

## ◆ force_first_slice

bool line_param::force_first_slice

whether to read the first instead of the last slice when a isolated catalogue is given in complement

Definition at line 177 of file command_line.hpp.

## ◆ fs_root

path* line_param::fs_root

filesystem root

Definition at line 68 of file command_line.hpp.

## ◆ fully_detailed_dates

bool line_param::fully_detailed_dates

whether to show subsecond value of dates

Definition at line 178 of file command_line.hpp.

## ◆ furtive_read_mode

bool line_param::furtive_read_mode

whether to use the furtive read mode

Definition at line 136 of file command_line.hpp.

## ◆ hash

hash_algo line_param::hash

whether to produce a hash file, and which algoritm to use for that hash

Definition at line 144 of file command_line.hpp.

## ◆ header_only

bool line_param::header_only

whether we just display the header of archives to be read

Definition at line 167 of file command_line.hpp.

## ◆ hourshift

infinint line_param::hourshift

consider equal two dates that have an integer hour of difference equal or less than hourshift

Definition at line 107 of file command_line.hpp.

## ◆ ignore_unknown_inode

bool line_param::ignore_unknown_inode

whether to ignore unknown inode types

Definition at line 153 of file command_line.hpp.

## ◆ ignored_as_symlink

string line_param::ignored_as_symlink

column separated list of absolute paths of links to follow rather to record as such

Definition at line 169 of file command_line.hpp.

## ◆ in_place

bool line_param::in_place

in-place restoration or comparison

Definition at line 175 of file command_line.hpp.

## ◆ info_details

bool line_param::info_details

whether to show processing messages

Definition at line 79 of file command_line.hpp.

## ◆ input_pipe

string line_param::input_pipe

if not an empty string, name of the pipe through which to read data from dar_slave

Definition at line 92 of file command_line.hpp.

## ◆ isolation_repair

bool line_param::isolation_repair

whether to try isolate content of a truncated archive

Definition at line 179 of file command_line.hpp.

## ◆ iteration_count

infinint line_param::iteration_count

iteration count used when creating/isolating/merging an encrypted archive (key derivation)

Definition at line 171 of file command_line.hpp.

## ◆ kdf_hash

hash_algo line_param::kdf_hash

hash algo used for key derivation function

Definition at line 172 of file command_line.hpp.

## ◆ keep_compressed

bool line_param::keep_compressed

when merging, whether to not uncompress/re-compress data in the process

Definition at line 125 of file command_line.hpp.

## ◆ lax

bool line_param::lax

whether to activate the last chance recovery mode (use with caution!)

Definition at line 137 of file command_line.hpp.

## ◆ list_ea

bool line_param::list_ea

whether to list Extended Attribute of files

Definition at line 152 of file command_line.hpp.

## ◆ list_mode

archive_options_listing_shell::listformat line_param::list_mode

type of listing to follow

Definition at line 119 of file command_line.hpp.

## ◆ min_compr_size

infinint line_param::min_compr_size

below which size to never try compressing files

Definition at line 103 of file command_line.hpp.

## ◆ modet

modified_data_detection line_param::modet

how to detect that a file has changed since the archive of reference was done

Definition at line 170 of file command_line.hpp.

## ◆ multi_threaded_compress

U_I line_param::multi_threaded_compress

number of compress worker threads (requires libthreadar and per block compression)

Definition at line 157 of file command_line.hpp.

## ◆ multi_threaded_crypto

U_I line_param::multi_threaded_crypto

number of crypto worker threads (requires libthreadar)

Definition at line 156 of file command_line.hpp.

## ◆ never_resave_uncompr

bool line_param::never_resave_uncompr

never resave uncompressed when compression ratio is bad

Definition at line 176 of file command_line.hpp.

## ◆ no_compare_symlink_date

bool line_param::no_compare_symlink_date

whether to report difference in dates of symlinks while diffing an archive with filesystem

Definition at line 154 of file command_line.hpp.

## ◆ nodump

bool line_param::nodump

whether to ignore files having the "nodump" flag set when performing a backup

Definition at line 104 of file command_line.hpp.

## ◆ not_deleted

bool line_param::not_deleted

whether to ignore deleted files

Definition at line 149 of file command_line.hpp.

## ◆ num_digits

infinint line_param::num_digits

minimum number of decimal for the slice number

Definition at line 145 of file command_line.hpp.

## ◆ only_deleted

bool line_param::only_deleted

whether to only consider deleted files

Definition at line 148 of file command_line.hpp.

## ◆ op

operation line_param::op

which operation to perform

Definition at line 67 of file command_line.hpp.

## ◆ output_pipe

string line_param::output_pipe

if not an empty string, name of the pipe through which to write orders to dar_slave

Definition at line 93 of file command_line.hpp.

## ◆ overwrite

const crit_action* line_param::overwrite

the overwriting policy

Definition at line 129 of file command_line.hpp.

## ◆ pass

secu_string line_param::pass

if not an empty string, encrypt the archive with the given algo:pass string

Definition at line 97 of file command_line.hpp.

## ◆ pass_ref

secu_string line_param::pass_ref

if not an empty string, use the provided encryption scheme to read the archive of reference

Definition at line 100 of file command_line.hpp.

## ◆ pause

infinint line_param::pause

whether to pause between slices

Definition at line 88 of file command_line.hpp.

## ◆ quiet

bool line_param::quiet

whether to display final summary for the operation

Definition at line 127 of file command_line.hpp.

## ◆ quiet_crypto

bool line_param::quiet_crypto

do not display message about impossibility do detect wrong key when reading ciphered backup

Definition at line 128 of file command_line.hpp.

## ◆ ref_filename

string* line_param::ref_filename

basename of the archive of reference (nullptr => no archive of reference)

Definition at line 72 of file command_line.hpp.

## ◆ ref_num_digits

infinint line_param::ref_num_digits

minimum number of decimal for the slice number of the archive of reference

Definition at line 146 of file command_line.hpp.

## ◆ ref_remote

ent_params line_param::ref_remote

remote entrepot coordinates for archive of reference

Definition at line 163 of file command_line.hpp.

## ◆ ref_root

path* line_param::ref_root

where is the archive of reference

Definition at line 71 of file command_line.hpp.

## ◆ remote

ent_params line_param::remote

remote entrepot coordinates

Definition at line 162 of file command_line.hpp.

## ◆ remote_verbose

bool line_param::remote_verbose

whether to have verbose output from libcurl

Definition at line 165 of file command_line.hpp.

## ◆ repeat_byte

infinint line_param::repeat_byte

archive total maximum amount of byte to waste re-saving changing files

Definition at line 134 of file command_line.hpp.

## ◆ repeat_count

infinint line_param::repeat_count

number of time to try saving a file if it changes at the time it is read for backup

Definition at line 133 of file command_line.hpp.

## ◆ same_fs

bool line_param::same_fs

whether to stick to a same filesystem

Definition at line 112 of file command_line.hpp.

## ◆ same_fs_excl

deque<string> line_param::same_fs_excl

optional list of path to filesystems to not consider (for backup operation)

Definition at line 114 of file command_line.hpp.

## ◆ same_fs_incl

deque<string> line_param::same_fs_incl

optional list of path to filesystems to stick to (for backup operation)

Definition at line 113 of file command_line.hpp.

## ◆ sauv_root

path* line_param::sauv_root

where is the archive to operate on (create, read, etc.)

Definition at line 69 of file command_line.hpp.

## ◆ scope

fsa_scope line_param::scope

FSA scope to consider for the operation.

Definition at line 155 of file command_line.hpp.

## ◆ security_check

bool line_param::security_check

whether to signal possible root-kit presence

Definition at line 142 of file command_line.hpp.

## ◆ selection

mask* line_param::selection

filter files for the operation based on filename only

Definition at line 75 of file command_line.hpp.

## ◆ sequential_read

bool line_param::sequential_read

whether to follow escape sequential marks to achieve a sequential reading of the archive

Definition at line 139 of file command_line.hpp.

## ◆ signatories

vector<string> line_param::signatories

list of email's key to use to sign the archive

Definition at line 98 of file command_line.hpp.

## ◆ sizes_in_bytes

bool line_param::sizes_in_bytes

whether to display sizes in bytes of to the larges unit (Mo, Go, To,...)

Definition at line 166 of file command_line.hpp.

## ◆ slice_group

string line_param::slice_group

group to set when creating a slice

Definition at line 132 of file command_line.hpp.

## ◆ slice_perm

string line_param::slice_perm

permission to set when creating a slice

Definition at line 130 of file command_line.hpp.

## ◆ slice_user

string line_param::slice_user

user to set when creating a slice

Definition at line 131 of file command_line.hpp.

## ◆ snapshot

bool line_param::snapshot

whether to perform a snapshot backup

Definition at line 115 of file command_line.hpp.

## ◆ sparse_file_min_size

infinint line_param::sparse_file_min_size

minimum size of a zeroed byte sequence to be considered as a hole and stored this way in the archive

Definition at line 140 of file command_line.hpp.

## ◆ subtree

mask* line_param::subtree

filter files for the operation based on path+filename

Definition at line 76 of file command_line.hpp.

## ◆ unix_sockets

bool line_param::unix_sockets

whether to restore unix-sockets

Definition at line 174 of file command_line.hpp.

## ◆ use_sequential_marks

bool line_param::use_sequential_marks

whether to add escape sequential marks in the archive

Definition at line 138 of file command_line.hpp.

## ◆ user_comment

string line_param::user_comment

user comment to add to the archive

Definition at line 143 of file command_line.hpp.

## ◆ warn_over

bool line_param::warn_over

whether to warn before overwriting files or slices

Definition at line 78 of file command_line.hpp.

## ◆ warn_remove_no_match

bool line_param::warn_remove_no_match

whether to warn file about to be removed during a restoration, when they to no match the expected type of file

Definition at line 108 of file command_line.hpp.

## ◆ what_to_check

comparison_fields line_param::what_to_check

what fields to take into account when comparing/restoring files,

Definition at line 94 of file command_line.hpp.

## ◆ zeroing_neg_dates

bool line_param::zeroing_neg_dates

whether to automatically zeroing negative dates while reading inode from filesystem

Definition at line 168 of file command_line.hpp.

The documentation for this struct was generated from the following file:

- command_line.hpp